Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml
Class AuthBlkType

    java.lang.Object
      nz.co.cks.tms.xml.AuthBlkType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MessageAuthBlk

public abstract class AuthBlkType
extends java.lang.Object
implements java.io.Serializable

Class AuthBlkType.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private byte[]` | `_certificate` Field _certificate
`private boolean` | `_has_ncbId` keeps track of state for field: _ncbId
`private java.lang.String` | `_login` Field _login
`private int` | `_ncbId` Field _ncbId
`private java.lang.String` | `_ncbName` Field _ncbName
`private java.lang.String` | `_password` Field _password

Constructor Summary
`AuthBlkType()`

Method Summary
`byte[]` | `getCertificate()` Method getCertificateReturns the value of field 'certificate'.
`java.lang.String` | `getLogin()` Method getLoginReturns the value of field 'login'.
`int` | `getNcbId()` Method getNcbIdReturns the value of field 'ncbId'.
`java.lang.String` | `getNcbName()` Method getNcbNameReturns the value of field 'ncbName'.
`java.lang.String` | `getPassword()` Method getPasswordReturns the value of field 'password'.
`boolean` | `hasNcbId()` Method hasNcbId
`boolean` | `isValid()` Method isValid
`void` | `setCertificate(byte[] certificate)` Method setCertificateSets the value of field 'certificate'.
`void` | `setLogin(java.lang.String login)` Method setLoginSets the value of field 'login'.
`void` | `setNcbId(int ncbId)` Method setNcbIdSets the value of field 'ncbId'.
`void` | `setNcbName(java.lang.String ncbName)` Method setNcbNameSets the value of field 'ncbName'.
`void` | `setPassword(java.lang.String password)` Method setPasswordSets the value of field 'password'.
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _certificate

    private byte[] _certificate

  Field _certificate

### _has_ncbId

    private boolean _has_ncbId

  keeps track of state for field: _ncbId

### _login

    private java.lang.String _login

  Field _login

### _ncbId

    private int _ncbId

  Field _ncbId

### _ncbName

    private java.lang.String _ncbName

  Field _ncbName

### _password

    private java.lang.String _password

  Field _password

Constructor Detail

### AuthBlkType

    public AuthBlkType()

Method Detail

### getCertificate

    public byte[] getCertificate()

  Method getCertificateReturns the value of field 'certificate'.

  Returns:
    the value of field 'certificate'.

### getLogin

    public java.lang.String getLogin()

  Method getLoginReturns the value of field 'login'.

  Returns:
    the value of field 'login'.

### getNcbId

    public int getNcbId()

  Method getNcbIdReturns the value of field 'ncbId'.

  Returns:
    the value of field 'ncbId'.

### getNcbName

    public java.lang.String getNcbName()

  Method getNcbNameReturns the value of field 'ncbName'.

  Returns:
    the value of field 'ncbName'.

### getPassword

    public java.lang.String getPassword()

  Method getPasswordReturns the value of field 'password'.

  Returns:
    the value of field 'password'.

### hasNcbId

    public boolean hasNcbId()

  Method hasNcbId

### isValid

    public boolean isValid()

  Method isValid

### setCertificate

    public void setCertificate(byte[] certificate)

  Method setCertificateSets the value of field 'certificate'.

  Parameters:
    `certificate` - the value of field 'certificate'.

### setLogin

    public void setLogin(java.lang.String login)

  Method setLoginSets the value of field 'login'.

  Parameters:
    `login` - the value of field 'login'.

### setNcbId

    public void setNcbId(int ncbId)

  Method setNcbIdSets the value of field 'ncbId'.

  Parameters:
    `ncbId` - the value of field 'ncbId'.

### setNcbName

    public void setNcbName(java.lang.String ncbName)

  Method setNcbNameSets the value of field 'ncbName'.

  Parameters:
    `ncbName` - the value of field 'ncbName'.

### setPassword

    public void setPassword(java.lang.String password)

  Method setPasswordSets the value of field 'password'.

  Parameters:
    `password` - the value of field 'password'.

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD